#!/usr/bin/python
# Copyright 2011 by Bdale Garbee <bdale@gag.com>.  GPLv2
#
# Program to emit PCB footprint for Bosch BMA250 3-axis accelerometer
#

# dimensions in mm from BST-BMA250-DS002-02.pdf
PinWidth = 0.30
PinHeight = 0.35
PinSpacing = 0.50
RowSpacing = 1.90 - (2 * PinHeight)
BodyWidth = 2.0
BodyHeight = 2.0

import sys

# we're going to use the 1/100 of a mil fundamental unit form
def mm2mils100( mm ):
	return int( mm / 25.4 * 1000.0 * 100.0 + 0.5 )

print '# author: Bdale Garbee'
print '# email: bdale@gag.com'
print '# dist-license: GPL 2'
print '# use-license: unlimited'

print 'Element[0x0 "BMA250" "" "" 0 0 -10161 -12011 0 100 0x0]'
print "("
for pin in range (0,4):
    print '   Pad[',\
	mm2mils100(-(RowSpacing/2 + PinWidth/2)), \
 	mm2mils100((pin-1.5) * PinSpacing), \
	mm2mils100(-(RowSpacing/2 + PinHeight - PinWidth/2)), \
 	mm2mils100((pin-1.5) * PinSpacing), \
	mm2mils100(PinWidth), \
	mm2mils100(PinSpacing - PinWidth), \
  	mm2mils100(PinWidth)+600, \
	'"pin%i"' % (pin+1), '"%i"' % (pin+1), '0x0100]'

    print '   Pad[',\
	mm2mils100(RowSpacing/2 + PinWidth/2), \
 	mm2mils100((pin-1.5) * PinSpacing), \
	mm2mils100(RowSpacing/2 + PinHeight - PinWidth/2), \
 	mm2mils100((pin-1.5) * PinSpacing), \
	mm2mils100(PinWidth), \
	mm2mils100(PinSpacing - PinWidth), \
  	mm2mils100(PinWidth)+600, \
	'"pin%i"' % (10 - pin), '"%i"' % (10 - pin), '0x0100]'

for pin in range (0,2):
    print '   Pad[',\
 	mm2mils100((pin-0.5) * PinSpacing), \
	mm2mils100(RowSpacing/2 + PinWidth/2), \
 	mm2mils100((pin-0.5) * PinSpacing), \
	mm2mils100(RowSpacing/2 + PinHeight - PinWidth/2), \
	mm2mils100(PinWidth), \
	mm2mils100(PinSpacing - PinWidth), \
  	mm2mils100(PinWidth)+600, \
	'"pin%i"' % (pin + 5), '"%i"' % (pin + 5), '0x0100]'

    print '   Pad[',\
 	mm2mils100((pin-0.5) * PinSpacing), \
	mm2mils100(-RowSpacing/2 - PinWidth/2), \
 	mm2mils100((pin-0.5) * PinSpacing), \
	mm2mils100(- RowSpacing/2 - PinHeight + PinWidth/2), \
	mm2mils100(PinWidth), \
	mm2mils100(PinSpacing - PinWidth), \
  	mm2mils100(PinWidth)+600, \
	'"pin%i"' % (12-pin), '"%i"' % (12-pin), '0x0100]'

print '   ElementArc[',\
        mm2mils100(-0.7 * BodyWidth), \
 	mm2mils100(-1.5 * PinSpacing), \
	'500 500 0 360 1000 ]'

print ")"
