#!/usr/bin/python
# Copyright 2007 by Bdale Garbee <bdale@gag.com>.  GPLv2
#
# Program to emit PCB footprint for CS10 package used by Xtals
#

# dimensions in mm from k-cmr.pdf Citizen datasheet
PinWidth = 1.90
PinHeight = 2.40
PinSpacing = 2.60

import sys

# we're going to use the 1/100 of a mil fundamental unit form
def mm2mils100( mm ):
	return int( mm / 25.4 * 1000.0 * 100.0 + 0.5 )

print '# author: Bdale Garbee'
print '# email: bdale@gag.com'
print '# dist-license: GPL 2'
print '# use-license: unlimited'

print 'Element[0x0 "CMR200T" "" "" 0 0 0 0 0 100 0x0]'
print "("
print '   Pad[',\
 	mm2mils100(PinWidth/2), \
	mm2mils100(PinWidth/2), \
 	mm2mils100(PinWidth/2), \
	mm2mils100(PinHeight - PinWidth/2), \
	mm2mils100(PinWidth), \
	mm2mils100(PinSpacing - PinWidth), \
  	mm2mils100(PinWidth + 0.1), \
	'"pin1" "1" 0x0100]'

print '   Pad[',\
 	mm2mils100(PinWidth + PinSpacing + PinWidth/2), \
	mm2mils100(PinWidth/2), \
 	mm2mils100(PinWidth + PinSpacing + PinWidth/2), \
	mm2mils100(PinHeight - PinWidth/2), \
	mm2mils100(PinWidth), \
	mm2mils100(PinSpacing - PinWidth), \
  	mm2mils100(PinWidth + 0.1), \
	'"pin2" "2" 0x0100]'

print ")"
