#!/usr/bin/python
# Copyright 2007 by Bdale Garbee <bdale@gag.com>.  GPLv2
#
# Program to emit PCB footprint for MICRO8 package used by IRF7509
#

# dimensions in mm from 548190572_sd.pdf datasheet
PinWidth = 0.38
PinHeight = 1.04
PinSpacing = 0.65
RowSpacing = 4.24

import sys

# we're going to use the 1/100 of a mil fundamental unit form
def mm2mils100( mm ):
	return int( mm / 25.4 * 1000.0 * 100.0 + 0.5 )

print '# author: Bdale Garbee'
print '# email: bdale@gag.com'
print '# dist-license: GPL 2'
print '# use-license: unlimited'

print 'Element[0x0 "MICRO8" "" "" 0 0 -10161 -12011 0 100 0x0]'
print "("
for pin in range (1,5):
    print '   Pad[',\
 	mm2mils100(pin * PinSpacing + PinWidth/2), \
	mm2mils100(PinWidth/2), \
 	mm2mils100(pin * PinSpacing + PinWidth/2), \
	mm2mils100(PinHeight - PinWidth/2), \
	mm2mils100(PinWidth), \
	mm2mils100(PinSpacing - PinWidth), \
  	mm2mils100(PinWidth)+600, \
	'"pin%i"' % (9 - pin), '"%i"' % (9 - pin), '0x0100]'

    print '   Pad[',\
 	mm2mils100(pin * PinSpacing + PinWidth/2), \
	mm2mils100(RowSpacing + PinWidth/2), \
 	mm2mils100(pin * PinSpacing + PinWidth/2), \
	mm2mils100(RowSpacing + PinHeight - PinWidth/2), \
	mm2mils100(PinWidth), \
	mm2mils100(PinSpacing - PinWidth), \
  	mm2mils100(PinWidth)+600, \
	'"pin%i"' % pin, '"%i"' % pin, '0x0100]'

print ")"
