#!/usr/bin/python
# Copyright 2010 by Bdale Garbee <bdale@gag.com>.  GPLv2
#
# Program to emit PCB footprint for NHD-0420H1Z-FL-GBW-3V3 4x20 text LCD
#

# dimensions in mm from Newhaven Display International datasheet
BodyWidth = 79.0
BodyHeight = 36.0
Column = 75.0
Row = 2.54
#PinDiam = 0.387
PinDiam = 0.4			# give it a little clearance

import sys

# we're going to use the 1/100 of a mil fundamental unit form
def mm2mils100( mm ):
	return int( mm / 25.4 * 1000.0 * 100.0 + 0.5 )

print '# author: Bdale Garbee'
print '# email: bdale@gag.com'
print '# dist-license: GPL 2'
print '# use-license: unlimited'

print 'Element[0x0 "NHD-LCD" "" "" 0 0 0 0 0 100 0x0]'
print "("

# pins
	# pin( x y thickness clearance mask drillhole name number flags)
for pin in range (1,9):
    if pin == 1:
        Flags = '0x0101'
    else:
        Flags = '0x0001'

    print '   Pin[',\
 	mm2mils100(-Column/2), \
	mm2mils100((pin - 4) * Row - (Row/2)), \
 	mm2mils100(PinDiam * 3), \
	1200, \
 	mm2mils100(PinDiam * 3) + 600, \
	mm2mils100(PinDiam), \
	'"pin%i"' % (pin), '"%i"' % (pin), Flags, ']'

    print '   Pin[',\
 	mm2mils100(Column/2), \
	mm2mils100((pin - 4) * Row - (Row/2)), \
 	mm2mils100(PinDiam * 3), \
	1200, \
 	mm2mils100(PinDiam * 3) + 600, \
	mm2mils100(PinDiam), \
	'"pin%i"' % (8+pin), '"%i"' % (8+pin), '0x0001]'

print '   ElementLine[',\
 	-mm2mils100(BodyWidth/2), \
 	-mm2mils100(BodyHeight/2), \
 	mm2mils100(BodyWidth/2), \
 	-mm2mils100(BodyHeight/2), \
	500, \
	']'
print '   ElementLine[',\
 	-mm2mils100(BodyWidth/2), \
	-mm2mils100(BodyHeight/2), \
 	-mm2mils100(BodyWidth/2), \
	mm2mils100(BodyHeight/2), \
	500, \
	']'
print '   ElementLine[',\
 	-mm2mils100(BodyWidth/2), \
	mm2mils100(BodyHeight/2), \
 	mm2mils100(BodyWidth/2), \
	mm2mils100(BodyHeight/2), \
	500, \
	']'
print '   ElementLine[',\
 	mm2mils100(BodyWidth/2), \
	mm2mils100(BodyHeight/2), \
 	mm2mils100(BodyWidth/2), \
	-mm2mils100(BodyHeight/2), \
	500, \
	']'

print ")"
