#!/usr/bin/python
# Copyright 2011 by Bdale Garbee <bdale@gag.com>.  GPLv2
#
# Program to emit PCB footprint for SOT23-6

# dimensions in mm
PinWidth = 0.70
PinHeight = 1.00
PinSpacing = 0.95
RowSpacing = 1.60

import sys

# we're going to use the 1/100 of a mil fundamental unit form
def mm2mils100( mm ):
	return int( mm / 25.4 * 1000.0 * 100.0 + 0.5 )

print '# author: Bdale Garbee'
print '# email: bdale@gag.com'
print '# dist-license: GPL 2'
print '# use-license: unlimited'

print 'Element[0x0 "SOT23-6" "" "" 0 0 -10161 -12011 0 100 0x0]'
print "("
for pin in range (0,3):
    print '   Pad[',\
 	mm2mils100((pin-1) * PinSpacing), \
	mm2mils100(-(RowSpacing/2 + PinWidth/2)), \
 	mm2mils100((pin-1) * PinSpacing), \
	mm2mils100(-(RowSpacing/2 + PinHeight - PinWidth/2)), \
	mm2mils100(PinWidth), \
	mm2mils100(PinSpacing - PinWidth), \
  	mm2mils100(PinWidth)+600, \
	'"pin%i"' % (6 - pin), '"%i"' % (6 - pin), '0x0100]'

    print '   Pad[',\
 	mm2mils100((pin-1) * PinSpacing), \
	mm2mils100(RowSpacing/2 + PinWidth/2), \
 	mm2mils100((pin-1) * PinSpacing), \
	mm2mils100(RowSpacing/2 + PinHeight - PinWidth/2), \
	mm2mils100(PinWidth), \
	mm2mils100(PinSpacing - PinWidth), \
  	mm2mils100(PinWidth)+600, \
	'"pin%i"' % (1 + pin), '"%i"' % (1 + pin), '0x0100]'

print '   ElementArc[',\
        mm2mils100(-PinSpacing), \
        mm2mils100(RowSpacing*1.35), \
	'500 500 0 360 1000 ]'

print ")"
